# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Pete Burgers <deltify81@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

# This is your preferences dialog.
#
# Define your preferences in
# data/glib-2.0/schemas/net.launchpad.deltify.gschema.xml
# See http://developer.gnome.org/gio/stable/GSettings.html for more info.

from gi.repository import Gio # pylint: disable=E0611

import gettext
from gettext import gettext as _
gettext.textdomain('deltify')

import logging
logger = logging.getLogger(__name__)

from deltify_lib.PreferencesDialog import PreferencesDialog
import fields

class PreferencesDeltifyDialog(PreferencesDialog):
    __gtype_name__ = "PreferencesDeltifyDialog"

    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the preferences dialog"""
        super(PreferencesDeltifyDialog, self).finish_initializing(builder)

        self.threshold_combo = self.builder.get_object("threshold_combo")
        
        for threshold in sorted(fields.THRESHOLDS.keys()):
            # Don't add the "Default", since that's what we're configuring!
            if threshold != fields.DEFAULT_VALUE:
                self.threshold_combo.append(str(threshold), fields.THRESHOLDS[threshold])

        # Bind each preference widget to gsettings
        settings = Gio.Settings("net.launchpad.deltify")
        settings.bind("default-change-threshold", self.threshold_combo, 
                      "active-id", Gio.SettingsBindFlags.DEFAULT)

